Bug 15682 - konsole sends wrong esc-sequences for F1-F4 and doesn't honor shift for function keys
Summary: konsole sends wrong esc-sequences for F1-F4 and doesn't honor shift for funct...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-07 21:57 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 22:00:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source patch fixing the descibed problem (2.65 KB, patch)
2000-08-07 21:58 UTC, Hans de Goede
no flags Details | Diff
keytab file to get the fixed configuration as an option instead of making it the default as the patch does (2.47 KB, text/plain)
2000-08-07 22:00 UTC, Hans de Goede
no flags Details

Description Hans de Goede 2000-08-07 21:57:40 UTC
As discussed before for kde-1.1.2 see bug 9161.
Konsole sends the vt220 esc sequences for F1-F4 instead of the VT100 ones
like xterm does.

Also it doesn't send F11-F20 for shift F1-F10 like xterm does.

I'll attach both a gendiff patch to fix this in the source and an
alternative keytab file, so that users can select xterm-redhat, or the
default kde stuff.

Comment 1 Hans de Goede 2000-08-07 21:58:43 UTC
Created attachment 2219 [details]
source patch fixing the descibed problem

Comment 2 Hans de Goede 2000-08-07 22:00:28 UTC
Created attachment 2220 [details]
keytab file to get the fixed configuration as an option instead of making it the default as the patch does

Comment 3 Bernhard Rosenkraenzer 2000-08-08 08:53:14 UTC
Thanks, fixed.


Note You need to log in before you can comment on or make changes to this bug.